Skip to main content
GET
/
tokenization
/
collections
/
{id}
TypeScript
const response: Promise<FireblocksResponse<CollectionLinkDto>> = fireblocks.tokenization.getCollectionById(tokenizationApiGetCollectionByIdRequest);
{
  "id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
  "status": "COMPLETED",
  "type": "NON_FUNGIBLE_TOKEN",
  "displayName": "My Simple ERC721 Collection",
  "collectionMetadata": {
    "fbCollectionId": "911fe739f0d4d123c98fd366c3bed35c6e30c00e",
    "blockchainDescriptor": "ETH",
    "name": "Rarible",
    "symbol": "RARI",
    "standard": [
      "ERC721",
      "ERC1155",
      "FA2"
    ],
    "contractAddress": "0x1723017329a804564bC8d215496C89eaBf1F3211"
  }
}

Path Parameters

id
string
required

The token link id

Response

Collection fetched successfully

id
string
required

The collection id

Example:

"fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb"

status
enum<string>
required

The collection status

Available options:
PENDING,
COMPLETED
Example:

"COMPLETED"

type
enum<string>
required

The type of collection

Available options:
NON_FUNGIBLE_TOKEN,
SEMI_FUNGIBLE_TOKEN
Example:

"NON_FUNGIBLE_TOKEN"

displayName
string

The display name of the collection. If was not provided, would be taken from the contract template

Example:

"My Simple ERC721 Collection"

collectionMetadata
object

The collection's metadata